Package org.apache.sysds.runtime.frame.data.lib

## Class FrameLibAppend

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.lib.FrameLibAppend

    public class FrameLibAppend
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static FrameBlock` `append​(FrameBlock a, FrameBlock b, boolean cbind)` Appends the given argument FrameBlock 'that' to this FrameBlock by creating a deep copy to prevent side effects.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### append

    public static FrameBlock append​(FrameBlock a,
                                    FrameBlock b,
                                    boolean cbind)

Appends the given argument FrameBlock 'that' to this FrameBlock by creating a deep copy to prevent side effects. For cbind, the frames are appended column-wise (same number of rows), while for rbind the frames are appended row-wise (same number of columns).

Parameters:
  `a` - FrameBlock to append to
  `b` - FrameBlock to append
  `cbind` - if true, column append
Returns:
  frame block of the two blocks combined.